﻿<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
@model TodoViewModel

<div class="row justify-content-center">
    <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10 d-flex justify-content-between mt-2">
        <div style="text-align: left;">
            <h1>Hello</h1>
            <h6>Today you have @Model.ItemCount tasks</h6>
            <form method="get" action="@Url.Action("Index", "DueToday")">
                <input type="submit" class="btn btn-outline-secondary" value="Today" />
            </form>
            <form method="get" action="@Url.Action("Index", "Hidden")">
                <input type="submit" class="btn btn-outline-secondary mt-2" value="Hidden" />
            </form>

        </div>
        <i class="fas fa-user fa-7x"></i>
    </div>
</div>
<div class="row justify-content-center">
    <div id="form1-container" class="col-12">
        <partial name="Form" />
    </div>
</div>

<div class="row justify-content-center">
    <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10">
        <table class="table">
            <thead>
                <tr class="table-secondary">
                    <th scope="col">Name</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var t in Model.ToDos)
                {
                    <tr>
                        <td class="todos-column">@t.Name</td>
                        <td class="buttons-column">
                            <div class="d-flex">
                                <input type="submit" class="btn btn-outline-secondary" value="Delete" onClick="deleteToDo(@t.Id)" />
                                <input type="submit" class="btn btn-outline-secondary" value="Update" onClick="populateFormToDo(@t.Id)" />
                                <input type="submit" class="btn btn-outline-secondary" value="Hide" onClick="hideToDo(@t.Id)" />
                                <form method="get" action="@Url.Action("Index", "Item")">
                                    <input type="hidden" name="toDoId" value="@t.Id" />
                                    <input type="submit" class="btn btn-outline-secondary" value="View" />
                                </form>
                                <input type="submit" class="btn btn-outline-secondary" value="Copy" onClick="copyToDo(@t.Id)" />
                            </div>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>
